Atualizar webhook
curl --request PUT \
--url https://api-vendas.taximachine.com.br/api/v2/integracao/webhooks/{id} \
--header 'Authorization: Basic <encoded-value>' \
--header 'Content-Type: application/json' \
--header 'api-key: <api-key>' \
--data '
{
"url": "<string>"
}
'import requests
url = "https://api-vendas.taximachine.com.br/api/v2/integracao/webhooks/{id}"
payload = { "url": "<string>" }
headers = {
"Authorization": "Basic <encoded-value>",
"api-key": "<api-key>",
"Content-Type": "application/json"
}
response = requests.put(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'PUT',
headers: {
Authorization: 'Basic <encoded-value>',
'api-key': '<api-key>',
'Content-Type': 'application/json'
},
body: JSON.stringify({url: '<string>'})
};
fetch('https://api-vendas.taximachine.com.br/api/v2/integracao/webhooks/{id}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"success": true,
"message": "Webhook atualizado com sucesso"
}Webhooks
Atualizar webhook
Permite atualizar a url de um webhook. É possível uma central atualizar o webhook de uma empresa cadastrada em sua operação.
PUT
/
webhooks
/
{id}
Atualizar webhook
Authorizations
Basic authentication header of the form Basic <encoded-value>, where <encoded-value> is the base64-encoded string username:password.
Obrigatório. Sua chave API.
Path Parameters
ID do webhook a ser atualizado
Body
application/json
Indica a URL que receberá o evento
Response
200 - application/json
Sucesso
The response is of type object.
⌘I
